import 'dart:math' as math;

import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:vector_math/vector_math.dart' as vector;

part 'color_hsl.dart';
part 'color_lab.dart';
part 'color_lch.dart';
part 'color_rgb.dart';

double diagonal(double a, double b) => math.sqrt(math.pow(a, 2) + math.pow(b, 2));

extension DoubleExt on double {
  double clampDegrees() => (this + 360) % 360;
}
